log4shib 2.0.0

Classes | Namespaces | Enumerations
RemoteSyslogAppender.hh File Reference
`#include <log4shib/Portability.hh>`
`#include <string>`
`#include <stdarg.h>`
`#include <log4shib/LayoutAppender.hh>`
`#include <log4shib/Priority.hh>`
`#include <winsock2.h>`
Include dependency graph for RemoteSyslogAppender.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | log4shib::RemoteSyslogAppender
| RemoteSyslogAppender sends LoggingEvents to a remote syslog system. More...

## Namespaces
namespace | log4shib
| The top level namespace for all 'Log for C++' types and classes.

## Enumerations
enum | SyslogLevel { LOG_EMERG = 0 , LOG_ALERT = 1 , LOG_CRIT = 2 , LOG_ERR = 3 , LOG_WARNING = 4 , LOG_NOTICE = 5 , LOG_INFO = 6 , LOG_DEBUG = 7 }
| from syslog.h More...
enum | SyslogFacility { LOG_KERN = (0<<3) , LOG_USER = (1<<3) , LOG_MAIL = (2<<3) , LOG_DAEMON = (3<<3) , LOG_AUTH = (4<<3) , LOG_SYSLOG = (5<<3) , LOG_LPR = (6<<3) , LOG_NEWS = (7<<3) , LOG_UUCP = (8<<3) , LOG_CRON = (9<<3) , LOG_AUTHPRIV = (10<<3) , LOG_FTP = (11<<3) , LOG_LOCAL0 = (16<<3) , LOG_LOCAL1 = (17<<3) , LOG_LOCAL2 = (18<<3) , LOG_LOCAL3 = (19<<3) , LOG_LOCAL4 = (20<<3) , LOG_LOCAL5 = (21<<3) , LOG_LOCAL6 = (22<<3) , LOG_LOCAL7 = (23<<3) }

## Enumeration Type Documentation

## ◆ SyslogFacility

enum SyslogFacility

Enumerator
LOG_KERN | kernel messages
LOG_USER | random user-level messages
LOG_MAIL | mail system
LOG_DAEMON | system daemons
LOG_AUTH | security/authorization messages
LOG_SYSLOG | messages generated internally by syslogd
LOG_LPR | line printer subsystem
LOG_NEWS | network news subsystem
LOG_UUCP | UUCP subsystem.
LOG_CRON | clock daemon
LOG_AUTHPRIV | security/authorization messages (private)
LOG_FTP | ftp daemon
LOG_LOCAL0 | reserved for local use
LOG_LOCAL1 | reserved for local use
LOG_LOCAL2 | reserved for local use
LOG_LOCAL3 | reserved for local use
LOG_LOCAL4 | reserved for local use
LOG_LOCAL5 | reserved for local use
LOG_LOCAL6 | reserved for local use
LOG_LOCAL7 | reserved for local use

## ◆ SyslogLevel

enum SyslogLevel

from syslog.h

Enumerator
LOG_EMERG | system is unusable
LOG_ALERT | action must be taken immediately
LOG_CRIT | critical conditions
LOG_ERR | error conditions
LOG_WARNING | warning conditions
LOG_NOTICE | normal but significant condition
LOG_INFO | informational
LOG_DEBUG | debug-level messages